Bug 244377 - Review Request: sugar-artwork - Artwork for Sugar look-and-feel
Summary: Review Request: sugar-artwork - Artwork for Sugar look-and-feel
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ignacio Vazquez-Abrams
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FedoraOLPCDelta
TreeView+ depends on / blocked
 
Reported: 2007-06-15 10:34 UTC by Marco Pesenti Gritti
Modified: 2010-06-11 04:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 20:37:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ivazqueznet: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Patch for spec file (2.01 KB, patch)
2007-06-16 16:08 UTC, Ignacio Vazquez-Abrams
no flags Details | Diff

Description Marco Pesenti Gritti 2007-06-15 10:34:36 UTC
Spec URL: http://dev.laptop.org/~marco/sugar-artwork.spec
SRPM URL: http://dev.laptop.org/~marco/sugar-artwork-0.33-3.git265782537a.src.rpm
Description:
sugar-artwork contains the themes and icons that make up the OLPC default 
look and feel.

This will go on the olpc-2 branch.

Comment 1 Ignacio Vazquez-Abrams 2007-06-16 16:07:41 UTC
Builds fine in mock on F7/i386.

rpmlint output:
sugar-artwork-0.33-3.git265782537a.i386.rpm:
E: sugar-artwork zero-length /usr/share/doc/sugar-artwork-0.33/NEWS
E: sugar-artwork script-without-shebang /usr/share/themes/sugar-xo/gtk-2.0/gtkrc
E: sugar-artwork zero-length /usr/share/doc/sugar-artwork-0.33/ChangeLog
E: sugar-artwork script-without-shebang /usr/share/themes/sugar/gtk-2.0/gtkrc
E: sugar-artwork standard-dir-owned-by-package /usr/share/icons
W: sugar-artwork incoherent-version-in-changelog 0.33-3.git5640efb030
0.33-3.git265782537a
W: sugar-artwork empty-%post
sugar-artwork-0.33-3.git265782537a.src.rpm:
W: sugar-artwork prereq-use gtk2 >= 2.9.0
sugar-artwork-debuginfo-0.33-3.git265782537a.i386.rpm:
(empty)

The included patch along with http://dev.laptop.org/ticket/1736 should clear the
package.

Comment 2 Ignacio Vazquez-Abrams 2007-06-16 16:08:16 UTC
Created attachment 157194 [details]
Patch for spec file

Comment 4 Ignacio Vazquez-Abrams 2007-06-16 20:27:18 UTC
Approved.

Comment 5 Marco Pesenti Gritti 2007-06-17 00:27:21 UTC
New Package CVS Request
=======================
Package Name: sugar-artwork
Short Description: Artwork for Sugar look-and-feel
Owners: mpg@redhat.com
Branches: olpc-2
InitialCC: mpg@redhat.com


Comment 6 Jason Tibbitts 2007-06-18 16:44:13 UTC
CVS done.

Comment 7 Jason Tibbitts 2007-06-18 19:23:15 UTC
Damn, I should have noticed before branching this package, but it violates the
naming guidelines and now that it's in, fixing it isn't going to be possible.

According to the naming guidelines, the name should be:
  sugar-artwork-0.33-0.3.(date)git5aef11739b



Comment 8 Marco Pesenti Gritti 2007-06-18 19:28:06 UTC
Can you point me to the naming guidelines please? So that I get the other
packages right at least...

Isn't fixing it just matter of changing the release number?

Comment 9 Jason Tibbitts 2007-06-18 19:57:43 UTC
The naming guidelines are at
  http://fedoraproject.org/wiki/Packaging/NamingGuidelines
Note that there's a pending draft to allow the commit ID after the "git" bit.

The fix is just a change of the release number, but the proper release number is
less than the one in use.  You could always just remove the first "0." from the
one from the guidelines and add it in the next time upstream increments the version.

Comment 10 Marco Pesenti Gritti 2007-06-18 20:37:38 UTC
OK, I'll do that then.

Comment 11 Marco Pesenti Gritti 2008-11-03 17:12:25 UTC
Package Change Request
======================
Package Name: sugar-artwork
New Branches: F-11

Comment 12 Marco Pesenti Gritti 2008-11-03 18:00:00 UTC
Package Change Request
======================
Package Name: sugar-artwork
New Branches: F-10

Comment 13 Dennis Gilmore 2008-11-03 18:59:58 UTC
CVS Done

Comment 14 Tomeu Vizoso 2008-11-12 11:06:38 UTC
Package Change Request
======================
Package Name: sugar-artwork
New Branches: OLPC-4
Owners: mpg erikos tomeu

Comment 15 Kevin Fenzi 2008-11-12 16:55:18 UTC
cvs done.

Comment 16 Peter Robinson 2010-06-10 20:53:03 UTC
Package Change Request
======================
Package Name: sugar-artwork
New Branches: EL-6
Owners: pbrobinson sdz

Comment 17 Kevin Fenzi 2010-06-11 04:29:34 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.